libcomps ..

Loading...
Searching...
No Matches
Functions
COMPS_DocCategory properties setters

## Functions
void | comps_doccategory_set_id (COMPS_DocCategory *category, char *id, char copy)
void | comps_doccategory_set_name (COMPS_DocCategory *category, char *name, char copy)
void | comps_doccategory_set_desc (COMPS_DocCategory *category, char *desc, char copy)
void | comps_doccategory_set_display_order (COMPS_DocCategory *category, int display_order, bool unset)

## Detailed Description

## Function Documentation

## ◆ comps_doccategory_set_desc()

void comps_doccategory_set_desc | ( | COMPS_DocCategory * | category,
|  | char * | desc,
|  | char | copy )

COMPS_DocCategory description setter

Parameters

  obj | COMPS_DocCategory object
  desc | COMPS_Str object representing description

Warning
  setter doesn't increment reference counter of desc object

## ◆ comps_doccategory_set_display_order()

void comps_doccategory_set_display_order | ( | COMPS_DocCategory * | category,
|  | int | display_order,
|  | bool | unset )

COMPS_DocCategory display order setter

Parameters

  obj | COMPS_DocCategory object
  display_order | COMPS_Num object representing display order

Warning
  setter doesn't increment reference counter of display_order object

## ◆ comps_doccategory_set_id()

void comps_doccategory_set_id | ( | COMPS_DocCategory * | category,
|  | char * | id,
|  | char | copy )

COMPS_DocCategory id setter

Parameters

  obj | COMPS_DocCategory object
  id | COMPS_Str object representing id

Warning
  setter doesn't increment reference counter of id object

## ◆ comps_doccategory_set_name()

void comps_doccategory_set_name | ( | COMPS_DocCategory * | category,
|  | char * | name,
|  | char | copy )

COMPS_DocCategory name setter

Parameters

  obj | COMPS_DocCategory object
  name | COMPS_Str object representing name

Warning
  setter doesn't increment reference counter of name object